/*! \file i2c.h \brief Obsluga magistrali I2C (TWI) */
/*
 *   Oprogramowanie Robota
 *   Michal Slomkowski m.slomkowski@interia.pl, www.flylab.glt.pl
 */

#ifndef _I2C_H_
#define _I2C_H_

#include "harddef.h"

void i2cInit(void);
uint8_t i2c_start(void);
void i2c_stop(void);
int i2c_select_read(BYTE ucDevice);
int i2c_select_write(BYTE ucDevice);
int i2c_write(BYTE* ucData, BYTE ucLen);
int i2c_read(BYTE* ucData, BYTE ucLen);

#endif
