/*! \file poszukiwanie_swiatla.h
    \brief Algorytm odpowiedzialny za poszukiwanie zrodla swiatla i dazenie do niego */
/*
 *   Oprogramowanie Robota
 *   Michal Slomkowski m.slomkowski@interia.pl, www.flylab.glt.pl
 */

#ifndef _POSZUKIWANIE_SWIATLA_H_
#define _POSZUKIWANIE_SWIATLA_H_

#include "harddef.h"

void poszukiwanie_swiatla(void);

extern uint8_t poszukiwanie_on;

static BOOL max_roznica(int a, int b);
static float max(float x, float y);

#define MAX_ROZNICA 30

#endif
