/*! \file control.h \brief Odpowiednie klawisze sterowania przez RS232 */
/*
 *   Oprogramowanie Robota
 *   Michal Slomkowski m.slomkowski@interia.pl, www.flylab.glt.pl
 */

#ifndef _CONTROL_H_
#define _CONTROL_H_

#define B_PRZOD		'w'
#define B_TYL		's'
#define B_LEWO		'a'
#define B_PRAWO		'd'
#define B_STOP		'z'

#define B_LED_ON	'x'
#define B_LED_OFF	'c'
#define B_TEMP		'v'
#define B_SWIATLO	'b'
#define B_BUZZER	'q'

#define B_POMOC		'h'

#define B_RESET		'p'

#define B_POSZ_SWIATLO_ON	'e'
#define B_POSZ_SWIATLO_OFF	'r'

#endif
