/*! \file rc5_control.h
    \brief Definicje przyciskow klawiatury pilota RC5. Przyporzadkowanie klawiszy do funkcji robota
*/
/*
 *   Oprogramowanie Robota
 *   Michal Slomkowski m.slomkowski@interia.pl, www.flylab.glt.pl
 */

#ifndef _RC5_CONTROL_H_
#define _RC5_CONTROL_H_

#define RC5_PRZOD	2
#define RC5_TYL		8
#define RC5_LEWO	4
#define RC5_PRAWO	6
#define RC5_STOP	5
#define RC5_LED_ON	7
#define RC5_LED_OFF	9
#define RC5_BUZZER	1

#define P_POSZ_SWIATLO_ON	3

#endif
